package de.hft.stuttgart.citydoctor2.datastructure;

import java.io.Serial;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;


public final class PatchCollection implements Serializable {

    @Serial
    private static final long serialVersionUID = -1748657379840997228L;

    private List<ConcretePolygon> patchMembers = new ArrayList<>();

    public void addPatchMember(ConcretePolygon patchMember) {
        patchMembers.add(patchMember);
        patchMember.setPartOfPatch(this);
    }

    public List<ConcretePolygon> getPatchMembers() {
        return new ArrayList<>(patchMembers);
    }

}
