package de.hft.stuttgart.citydoctor2.gui.tree;

import de.hft.stuttgart.citydoctor2.datastructure.AbstractRoom;
import de.hft.stuttgart.citydoctor2.gui.CheckStatus;
import de.hft.stuttgart.citydoctor2.gui.Renderer;

public class RoomNode extends Renderable{

    private final AbstractRoom room;

    public RoomNode(AbstractRoom room) {
        this.room = room;
    }

    @Override
    public String getText() {
        return room.getGmlId().getGmlString();
    }


    @Override
    public void visit(Renderer renderer) {
        renderer.render(room);
    }

    @Override
    public void refreshTextColor() {
        if (!room.isValidated()) {
            setStatus(CheckStatus.NOT_CHECKED);
        } else if (room.containsAnyError()) {
            setStatus(CheckStatus.ERROR);
        } else {
            setStatus(CheckStatus.OK);
        }
    }
}
